--
-- command to dump mysql database to tab-separated files for import
-- /usr/local/mysql/bin/mysqldump -u root -p -t --tab=~/dbfiles/ alexandria
--

--
-- mysql2pgsql
--

-- 
--  Table structure for table 'activity_log'
-- 

create table activity_log (
  day integer DEFAULT '0' NOT NULL,
  hour integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  browser varchar(8) DEFAULT 'OTHER' NOT NULL,
  ver float(10) DEFAULT '0.00' NOT NULL,
  platform varchar(8) DEFAULT 'OTHER' NOT NULL,
  time integer DEFAULT '0' NOT NULL,
  page text,
  type integer DEFAULT '0' NOT NULL
);

-- 
--  Table structure for table 'bug'
-- 

create table bug (
  bug_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  status_id integer DEFAULT '0' NOT NULL,
  priority integer DEFAULT '0' NOT NULL,
  category_id integer DEFAULT '0' NOT NULL,
  submitted_by integer DEFAULT '0' NOT NULL,
  assigned_to integer DEFAULT '0' NOT NULL,
  date integer DEFAULT '0' NOT NULL,
  summary text,
  details text,
  close_date integer,
  bug_group_id integer DEFAULT '0' NOT NULL,
  resolution_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (bug_id)
);
create index bug_group_id on bug (group_id);

-- 
--  Table structure for table 'bug_bug_dependencies'
-- 

-- serial identifier bug_bug_dependencies_bug_depend_id_seq will likely be truncated
create table bug_bug_dependencies (
  bug_depend_id serial NOT NULL,
  bug_id integer DEFAULT '0' NOT NULL,
  is_dependent_on_bug_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (bug_depend_id)
);
create index bug_bug_dependencies_bug_id on bug_bug_dependencies (bug_id);
create index bug_bug_is_dependent_on_task_id on bug_bug_dependencies (is_dependent_on_bug_id);

-- 
--  Table structure for table 'bug_canned_responses'
-- 

-- serial identifier bug_canned_responses_bug_canned_id_seq will likely be truncated
create table bug_canned_responses (
  bug_canned_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  title text,
  body text,
  PRIMARY KEY (bug_canned_id)
);
create index bug_canned_response_group_id on bug_canned_responses (group_id);

-- 
--  Table structure for table 'bug_category'
-- 

-- serial identifier bug_category_bug_category_id_seq will likely be truncated
create table bug_category (
  bug_category_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  category_name text,
  PRIMARY KEY (bug_category_id)
);
create index bug_category_group_id on bug_category (group_id);

-- 
--  Table structure for table 'bug_filter'
-- 

create table bug_filter (
  filter_id serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  sql_clause text DEFAULT '' NOT NULL,
  is_active integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (filter_id)
);

-- 
--  Table structure for table 'bug_group'
-- 

create table bug_group (
  bug_group_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  group_name text DEFAULT '' NOT NULL,
  PRIMARY KEY (bug_group_id)
);
create index bug_group_group_id on bug_group (group_id);

-- 
--  Table structure for table 'bug_history'
-- 

create table bug_history (
  bug_history_id serial NOT NULL,
  bug_id integer DEFAULT '0' NOT NULL,
  field_name text DEFAULT '' NOT NULL,
  old_value text DEFAULT '' NOT NULL,
  mod_by integer DEFAULT '0' NOT NULL,
  date integer,
  PRIMARY KEY (bug_history_id)
);
create index bug_history_bug_id on bug_history (bug_id);

-- 
--  Table structure for table 'bug_resolution'
-- 

-- serial identifier bug_resolution_resolution_id_seq will likely be truncated
create table bug_resolution (
  resolution_id serial NOT NULL,
  resolution_name text DEFAULT '' NOT NULL,
  PRIMARY KEY (resolution_id)
);

-- 
--  Table structure for table 'bug_status'
-- 

create table bug_status (
  status_id serial NOT NULL,
  status_name text,
  PRIMARY KEY (status_id)
);

-- 
--  Table structure for table 'bug_task_dependencies'
-- 

-- serial identifier bug_task_dependencies_bug_depend_id_seq will likely be truncated
create table bug_task_dependencies (
  bug_depend_id serial NOT NULL,
  bug_id integer DEFAULT '0' NOT NULL,
  is_dependent_on_task_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (bug_depend_id)
);
create index bug_task_dependencies_bug_id on bug_task_dependencies (bug_id);
create index bug_task_is_dependent_on_task_id on bug_task_dependencies (is_dependent_on_task_id);

-- 
--  Table structure for table 'db_images'
-- 

create table db_images (
  id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  description text DEFAULT '' NOT NULL,
  bin_data text DEFAULT '' NOT NULL,
  filename text DEFAULT '' NOT NULL,
  filesize integer DEFAULT '0' NOT NULL,
  filetype text DEFAULT '' NOT NULL,
  width integer DEFAULT '0' NOT NULL,
  height integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
);
create index db_images_group on db_images (group_id);

-- 
--  Table structure for table 'doc_data'
-- 

create table doc_data (
  docid serial NOT NULL,
  stateid integer DEFAULT '0' NOT NULL,
  title varchar(255) DEFAULT '' NOT NULL,
  data text DEFAULT '' NOT NULL,
  updatedate integer DEFAULT '0' NOT NULL,
  createdate integer DEFAULT '0' NOT NULL,
  created_by integer DEFAULT '0' NOT NULL,
  doc_group integer DEFAULT '0' NOT NULL,
  description text,
  language_id integer DEFAULT '1' NOT NULL,
  PRIMARY KEY (docid)
);
create index doc_group_doc_group on doc_data (doc_group);

-- 
--  Table structure for table 'doc_groups'
-- 

create table doc_groups (
  doc_group serial NOT NULL,
  groupname varchar(255) DEFAULT '' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (doc_group)
);
create index doc_groups_group on doc_groups (group_id);

-- 
--  Table structure for table 'doc_states'
-- 

create table doc_states (
  stateid serial NOT NULL,
  name varchar(255) DEFAULT '' NOT NULL,
  PRIMARY KEY (stateid)
);

-- 
--  Table structure for table 'filemodule_monitor'
-- 

create table filemodule_monitor (
  filemodule_id integer DEFAULT '0' NOT NULL,
  user_id integer DEFAULT '0' NOT NULL
);
create index filemodule_monitor_id on filemodule_monitor (filemodule_id);

-- 
--  Table structure for table 'forum'
-- 

create table forum (
  msg_id serial NOT NULL,
  group_forum_id integer DEFAULT '0' NOT NULL,
  posted_by integer DEFAULT '0' NOT NULL,
  subject text DEFAULT '' NOT NULL,
  body text DEFAULT '' NOT NULL,
  date integer DEFAULT '0' NOT NULL,
  is_followup_to integer DEFAULT '0' NOT NULL,
  thread_id integer DEFAULT '0' NOT NULL,
  has_followups integer DEFAULT '0',
  PRIMARY KEY (msg_id)
);
create index forum_group_forum_id on forum (group_forum_id);
create index forum_id_date on forum (group_forum_id,date);
create index forum_id_date_followup on forum (group_forum_id,date,is_followup_to);
create index forum_thread_id on forum (thread_id);
create index forum_is_followup_to on forum (is_followup_to);
create index forum_thread_date_followup on forum (thread_id,date,is_followup_to);

-- 
--  Table structure for table 'forum_agg_msg_count'
-- 

create table forum_agg_msg_count (
  group_forum_id integer DEFAULT '0' NOT NULL,
  count integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (group_forum_id)
);

-- 
--  Table structure for table 'forum_group_list'
-- 

-- serial identifier forum_group_list_group_forum_id_seq will likely be truncated
create table forum_group_list (
  group_forum_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  forum_name text DEFAULT '' NOT NULL,
  is_public integer DEFAULT '0' NOT NULL,
  description text,
  PRIMARY KEY (group_forum_id)
);
create index forum_group_list_group_id on forum_group_list (group_id);

-- 
--  Table structure for table 'forum_monitored_forums'
-- 

-- serial identifier forum_monitored_forums_monitor_id_seq will likely be truncated
create table forum_monitored_forums (
  monitor_id serial NOT NULL,
  forum_id integer DEFAULT '0' NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (monitor_id)
);
create index forum_monitor_combo_id on forum_monitored_forums (forum_id,user_id);
create index forum_monitor_thread_id on forum_monitored_forums (forum_id);

-- 
--  Table structure for table 'forum_saved_place'
-- 

-- serial identifier forum_saved_place_saved_place_id_seq will likely be truncated
create table forum_saved_place (
  saved_place_id serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  forum_id integer DEFAULT '0' NOT NULL,
  save_date integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (saved_place_id)
);

-- 
--  Table structure for table 'forum_thread_id'
-- 

create table forum_thread_id (
  thread_id serial NOT NULL,
  PRIMARY KEY (thread_id)
);

-- 
--  Table structure for table 'foundry_data'
-- 
-- ERROR - doesn't need to be an auto_increment
-- which is how the mysql2pgsql converter made it
--
create table foundry_data (
  foundry_id int NOT NULL,
  freeform1_html text,
  freeform2_html text,
  sponsor1_html text,
  sponsor2_html text,
  guide_image_id integer DEFAULT '0' NOT NULL,
  logo_image_id integer DEFAULT '0' NOT NULL,
  trove_categories text,
  PRIMARY KEY (foundry_id)
);

-- 
--  Table structure for table 'foundry_news'
-- 

-- serial identifier foundry_news_foundry_news_id_seq will likely be truncated
create table foundry_news (
  foundry_news_id serial NOT NULL,
  foundry_id integer DEFAULT '0' NOT NULL,
  news_id integer DEFAULT '0' NOT NULL,
  approve_date integer DEFAULT '0' NOT NULL,
  is_approved integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (foundry_news_id)
);
create index foundry_news_foundry_approved_date on foundry_news (foundry_id,is_approved,approve_date);
create index foundry_news_foundry_approved on foundry_news (foundry_id,is_approved);
create index foundry_news_foundry on foundry_news (foundry_id);

-- 
--  Table structure for table 'foundry_preferred_projects'
-- 

-- serial identifier foundry_preferred_projects_foundry_project_id_seq will likely be truncated
create table foundry_preferred_projects (
  foundry_project_id serial NOT NULL,
  foundry_id integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  rank integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (foundry_project_id)
);
create index foundry_project_group_rank on foundry_preferred_projects (group_id,rank);
create index foundry_project_group on foundry_preferred_projects (group_id);

-- 
--  Table structure for table 'foundry_projects'
-- 

create table foundry_projects (
  id serial NOT NULL,
  foundry_id integer DEFAULT '0' NOT NULL,
  project_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
);
create index foundry_projects_foundry on foundry_projects (foundry_id);

-- 
--  Table structure for table 'frs_dlstats_agg'
-- 

create table frs_dlstats_agg (
  file_id integer DEFAULT '0' NOT NULL,
  day integer DEFAULT '0' NOT NULL,
  downloads_http integer DEFAULT '0' NOT NULL,
  downloads_ftp integer DEFAULT '0' NOT NULL
);
create index downloads_http_idx on frs_dlstats_agg (downloads_http);
create index downloads_ftp_idx on frs_dlstats_agg (downloads_ftp);
create index file_id_idx on frs_dlstats_agg (file_id);
create index day_idx on frs_dlstats_agg (day);

-- 
--  Table structure for table 'frs_dlstats_file_agg'
-- 

create table frs_dlstats_file_agg (
  file_id integer DEFAULT '0' NOT NULL,
  day integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index dlstats_file_down on frs_dlstats_file_agg (downloads);
create index dlstats_file_file_id on frs_dlstats_file_agg (file_id);
create index dlstats_file_day on frs_dlstats_file_agg (day);

-- 
--  Table structure for table 'frs_dlstats_filetotal_agg'
-- 

create table frs_dlstats_filetotal_agg (
  file_id integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index stats_agr_tmp_fid on frs_dlstats_filetotal_agg (file_id);

-- 
--  Table structure for table 'frs_dlstats_filetotal_agg_old'
-- 

-- stats_agr_tmp_fid already exists; use frs_dlstats_filetotal_agg_old_file_id instead
create table frs_dlstats_filetotal_agg_old (
  file_id integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index frs_dlstats_filetotal_agg_old_file_id on frs_dlstats_filetotal_agg_old (file_id);

-- 
--  Table structure for table 'frs_dlstats_group_agg'
-- 

-- day_idx already exists; use frs_dlstats_group_agg_day instead
create table frs_dlstats_group_agg (
  group_id integer DEFAULT '0' NOT NULL,
  day integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index group_id_idx on frs_dlstats_group_agg (group_id);
create index downloads_idx on frs_dlstats_group_agg (downloads);
create index frs_dlstats_group_agg_day on frs_dlstats_group_agg (day);

-- 
--  Table structure for table 'frs_dlstats_grouptotal_agg'
-- 

create table frs_dlstats_grouptotal_agg (
  group_id integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index stats_agr_tmp_gid on frs_dlstats_grouptotal_agg (group_id);

-- 
--  Table structure for table 'frs_file'
-- 

create table frs_file (
  file_id serial NOT NULL,
  filename text,
  release_id integer DEFAULT '0' NOT NULL,
  type_id integer DEFAULT '0' NOT NULL,
  processor_id integer DEFAULT '0' NOT NULL,
  release_time integer DEFAULT '0' NOT NULL,
  file_size integer DEFAULT '0' NOT NULL,
  post_date integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (file_id)
);
create index frs_file_name on frs_file (filename);
create index frs_file_date on frs_file (post_date);
create index frs_file_processor on frs_file (processor_id);
create index frs_file_release_id on frs_file (release_id);
create index frs_file_type on frs_file (type_id);

-- 
--  Table structure for table 'frs_filetype'
-- 

create table frs_filetype (
  type_id serial NOT NULL,
  name text,
  PRIMARY KEY (type_id)
);

-- 
--  Table structure for table 'frs_package'
-- 

create table frs_package (
  package_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  name text,
  status_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (package_id)
);
create index package_group_id on frs_package (group_id);

-- 
--  Table structure for table 'frs_processor'
-- 

create table frs_processor (
  processor_id serial NOT NULL,
  name text,
  PRIMARY KEY (processor_id)
);

-- 
--  Table structure for table 'frs_release'
-- 

create table frs_release (
  release_id serial NOT NULL,
  package_id integer DEFAULT '0' NOT NULL,
  name text,
  notes text,
  changes text,
  status_id integer DEFAULT '0' NOT NULL,
  preformatted integer DEFAULT '0' NOT NULL,
  release_date integer DEFAULT '0' NOT NULL,
  released_by integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (release_id)
);
create index frs_release_package on frs_release (package_id);
create index frs_release_date on frs_release (release_date);
create index frs_release_by on frs_release (released_by);

-- 
--  Table structure for table 'frs_status'
-- 

create table frs_status (
  status_id serial NOT NULL,
  name text,
  PRIMARY KEY (status_id)
);

-- 
--  Table structure for table 'group_cvs_history'
-- 

-- group_id_idx already exists; use group_cvs_history_group_id instead
create table group_cvs_history (
  group_id integer DEFAULT '0' NOT NULL,
  user_name varchar(80) DEFAULT '' NOT NULL,
  cvs_commits integer DEFAULT '0' NOT NULL,
  cvs_commits_wk integer DEFAULT '0' NOT NULL,
  cvs_adds integer DEFAULT '0' NOT NULL,
  cvs_adds_wk integer DEFAULT '0' NOT NULL
);
create index group_cvs_history_group_id on group_cvs_history (group_id);
create index user_name_idx on group_cvs_history (user_name);

-- 
--  Table structure for table 'group_history'
-- 

-- serial identifier group_history_group_history_id_seq will likely be truncated
create table group_history (
  group_history_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  field_name text DEFAULT '' NOT NULL,
  old_value text DEFAULT '' NOT NULL,
  mod_by integer DEFAULT '0' NOT NULL,
  date integer,
  PRIMARY KEY (group_history_id)
);
create index group_history_group_id on group_history (group_id);

-- 
--  Table structure for table 'group_type'
-- 

create table group_type (
  type_id serial NOT NULL,
  name text,
  PRIMARY KEY (type_id)
);

-- 
--  Table structure for table 'groups'
-- 

create table groups (
  group_id serial NOT NULL,
  group_name varchar(40),
  homepage varchar(128),
  is_public integer DEFAULT '0' NOT NULL,
  status char(1) DEFAULT 'A' NOT NULL,
  unix_group_name varchar(30) DEFAULT '' NOT NULL,
  unix_box varchar(20) DEFAULT 'shell1' NOT NULL,
  http_domain varchar(80),
  short_description varchar(255),
  cvs_box varchar(20) DEFAULT 'cvs1' NOT NULL,
  license varchar(16),
  register_purpose text,
  license_other text,
  register_time integer DEFAULT '0' NOT NULL,
  use_bugs integer DEFAULT '1' NOT NULL,
  rand_hash text,
  use_mail integer DEFAULT '1' NOT NULL,
  use_survey integer DEFAULT '1' NOT NULL,
  use_patch integer DEFAULT '1' NOT NULL,
  use_forum integer DEFAULT '1' NOT NULL,
  use_pm integer DEFAULT '1' NOT NULL,
  use_cvs integer DEFAULT '1' NOT NULL,
  use_news integer DEFAULT '1' NOT NULL,
  use_support integer DEFAULT '1' NOT NULL,
  new_bug_address text DEFAULT '' NOT NULL,
  new_patch_address text DEFAULT '' NOT NULL,
  new_support_address text DEFAULT '' NOT NULL,
  type integer DEFAULT '1' NOT NULL,
  use_docman integer DEFAULT '1' NOT NULL,
  send_all_bugs integer DEFAULT '0' NOT NULL,
  send_all_patches integer DEFAULT '0' NOT NULL,
  send_all_support integer DEFAULT '0' NOT NULL,
  new_task_address text DEFAULT '' NOT NULL,
  send_all_tasks integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (group_id)
);
create index groups_unix on groups (unix_group_name);
create index groups_type on groups (type);
create index groups_public on groups (is_public);
create index groups_status on groups (status);

-- 
--  Table structure for table 'intel_agreement'
-- 

create table intel_agreement (
  user_id integer DEFAULT '0' NOT NULL,
  message text,
  is_approved integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (user_id)
);

-- 
--  Table structure for table 'mail_group_list'
-- 

-- serial identifier mail_group_list_group_list_id_seq will likely be truncated
create table mail_group_list (
  group_list_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  list_name text,
  is_public integer DEFAULT '0' NOT NULL,
  password varchar(16),
  list_admin integer DEFAULT '0' NOT NULL,
  status integer DEFAULT '0' NOT NULL,
  description text,
  PRIMARY KEY (group_list_id)
);
create index mail_group_list_group on mail_group_list (group_id);

-- 
--  Table structure for table 'news_bytes'
-- 

create table news_bytes (
  id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  submitted_by integer DEFAULT '0' NOT NULL,
  is_approved integer DEFAULT '0' NOT NULL,
  date integer DEFAULT '0' NOT NULL,
  forum_id integer DEFAULT '0' NOT NULL,
  summary text,
  details text,
  PRIMARY KEY (id)
);
create index news_bytes_group on news_bytes (group_id);
create index news_bytes_approved on news_bytes (is_approved);
create index news_bytes_forum on news_bytes (forum_id);

-- 
--  Table structure for table 'patch'
-- 

create table patch (
  patch_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  patch_status_id integer DEFAULT '0' NOT NULL,
  patch_category_id integer DEFAULT '0' NOT NULL,
  submitted_by integer DEFAULT '0' NOT NULL,
  assigned_to integer DEFAULT '0' NOT NULL,
  open_date integer DEFAULT '0' NOT NULL,
  summary text,
  code text,
  close_date integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (patch_id)
);
create index patch_group_id on patch (group_id);

-- 
--  Table structure for table 'patch_category'
-- 

-- serial identifier patch_category_patch_category_id_seq will likely be truncated
create table patch_category (
  patch_category_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  category_name text DEFAULT '' NOT NULL,
  PRIMARY KEY (patch_category_id)
);
create index patch_group_group_id on patch_category (group_id);

-- 
--  Table structure for table 'patch_history'
-- 

-- serial identifier patch_history_patch_history_id_seq will likely be truncated
create table patch_history (
  patch_history_id serial NOT NULL,
  patch_id integer DEFAULT '0' NOT NULL,
  field_name text DEFAULT '' NOT NULL,
  old_value text DEFAULT '' NOT NULL,
  mod_by integer DEFAULT '0' NOT NULL,
  date integer,
  PRIMARY KEY (patch_history_id)
);
create index patch_history_patch_id on patch_history (patch_id);

-- 
--  Table structure for table 'patch_status'
-- 

-- serial identifier patch_status_patch_status_id_seq will likely be truncated
create table patch_status (
  patch_status_id serial NOT NULL,
  status_name text,
  PRIMARY KEY (patch_status_id)
);

-- 
--  Table structure for table 'people_job'
-- 

create table people_job (
  job_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  created_by integer DEFAULT '0' NOT NULL,
  title text,
  description text,
  date integer DEFAULT '0' NOT NULL,
  status_id integer DEFAULT '0' NOT NULL,
  category_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (job_id)
);

-- 
--  Table structure for table 'people_job_category'
-- 

-- serial identifier people_job_category_category_id_seq will likely be truncated
create table people_job_category (
  category_id serial NOT NULL,
  name text,
  PRIMARY KEY (category_id)
);

-- 
--  Table structure for table 'people_job_inventory'
-- 

-- serial identifier people_job_inventory_job_inventory_id_seq will likely be truncated
create table people_job_inventory (
  job_inventory_id serial NOT NULL,
  job_id integer DEFAULT '0' NOT NULL,
  skill_id integer DEFAULT '0' NOT NULL,
  skill_level_id integer DEFAULT '0' NOT NULL,
  skill_year_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (job_inventory_id)
);

-- 
--  Table structure for table 'people_job_status'
-- 

create table people_job_status (
  status_id serial NOT NULL,
  name text,
  PRIMARY KEY (status_id)
);

-- 
--  Table structure for table 'people_skill'
-- 

create table people_skill (
  skill_id serial NOT NULL,
  name text,
  PRIMARY KEY (skill_id)
);

-- 
--  Table structure for table 'people_skill_inventory'
-- 

-- serial identifier people_skill_inventory_skill_inventory_id_seq will likely be truncated
create table people_skill_inventory (
  skill_inventory_id serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  skill_id integer DEFAULT '0' NOT NULL,
  skill_level_id integer DEFAULT '0' NOT NULL,
  skill_year_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (skill_inventory_id)
);

-- 
--  Table structure for table 'people_skill_level'
-- 

-- serial identifier people_skill_level_skill_level_id_seq will likely be truncated
create table people_skill_level (
  skill_level_id serial NOT NULL,
  name text,
  PRIMARY KEY (skill_level_id)
);

-- 
--  Table structure for table 'people_skill_year'
-- 

-- serial identifier people_skill_year_skill_year_id_seq will likely be truncated
create table people_skill_year (
  skill_year_id serial NOT NULL,
  name text,
  PRIMARY KEY (skill_year_id)
);

-- 
--  Table structure for table 'project_assigned_to'
-- 

-- serial identifier project_assigned_to_project_assigned_id_seq will likely be truncated
create table project_assigned_to (
  project_assigned_id serial NOT NULL,
  project_task_id integer DEFAULT '0' NOT NULL,
  assigned_to_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (project_assigned_id)
);
create index project_assigned_to_assigned_to on project_assigned_to (assigned_to_id);
create index project_assigned_to_task_id on project_assigned_to (project_task_id);

-- 
--  Table structure for table 'project_counts_tmp'
-- 

create table project_counts_tmp (
  group_id integer,
  type text,
  count float(8)
);

-- 
--  Table structure for table 'project_counts_weekly_tmp'
-- 

create table project_counts_weekly_tmp (
  group_id integer,
  type text,
  count float(8)
);

-- 
--  Table structure for table 'project_dependencies'
-- 

-- serial identifier project_dependencies_project_depend_id_seq will likely be truncated
create table project_dependencies (
  project_depend_id serial NOT NULL,
  project_task_id integer DEFAULT '0' NOT NULL,
  is_dependent_on_task_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (project_depend_id)
);
create index project_is_dependent_on_task_id on project_dependencies (is_dependent_on_task_id);
create index project_dependencies_task_id on project_dependencies (project_task_id);

-- 
--  Table structure for table 'project_group_list'
-- 

-- serial identifier project_group_list_group_project_id_seq will likely be truncated
create table project_group_list (
  group_project_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  project_name text DEFAULT '' NOT NULL,
  is_public integer DEFAULT '0' NOT NULL,
  description text,
  PRIMARY KEY (group_project_id)
);
create index project_group_list_group_id on project_group_list (group_id);

-- 
--  Table structure for table 'project_history'
-- 

-- serial identifier project_history_project_history_id_seq will likely be truncated
create table project_history (
  project_history_id serial NOT NULL,
  project_task_id integer DEFAULT '0' NOT NULL,
  field_name text DEFAULT '' NOT NULL,
  old_value text DEFAULT '' NOT NULL,
  mod_by integer DEFAULT '0' NOT NULL,
  date integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (project_history_id)
);
create index project_history_task_id on project_history (project_task_id);

-- 
--  Table structure for table 'project_metric'
-- 

create table project_metric (
  ranking serial NOT NULL,
  percentile float(8),
  group_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (ranking)
);
create index project_metric_group on project_metric (group_id);

-- 
--  Table structure for table 'project_metric_tmp1'
-- 

create table project_metric_tmp1 (
  ranking serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  value float(8),
  PRIMARY KEY (ranking)
);

-- 
--  Table structure for table 'project_metric_weekly_tmp1'
-- 

-- serial identifier project_metric_weekly_tmp1_ranking_seq will likely be truncated
create table project_metric_weekly_tmp1 (
  ranking serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  value float(8),
  PRIMARY KEY (ranking)
);

-- 
--  Table structure for table 'project_status'
-- 

create table project_status (
  status_id serial NOT NULL,
  status_name text DEFAULT '' NOT NULL,
  PRIMARY KEY (status_id)
);

-- 
--  Table structure for table 'project_task'
-- 

-- serial identifier project_task_project_task_id_seq will likely be truncated
create table project_task (
  project_task_id serial NOT NULL,
  group_project_id integer DEFAULT '0' NOT NULL,
  summary text DEFAULT '' NOT NULL,
  details text DEFAULT '' NOT NULL,
  percent_complete integer DEFAULT '0' NOT NULL,
  priority integer DEFAULT '0' NOT NULL,
  hours float(10) DEFAULT '0.00' NOT NULL,
  start_date integer DEFAULT '0' NOT NULL,
  end_date integer DEFAULT '0' NOT NULL,
  created_by integer DEFAULT '0' NOT NULL,
  status_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (project_task_id)
);
create index project_task_group_project_id on project_task (group_project_id);

-- 
--  Table structure for table 'project_weekly_metric'
-- 

-- serial identifier project_weekly_metric_ranking_seq will likely be truncated
create table project_weekly_metric (
  ranking serial NOT NULL,
  percentile float(8),
  group_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (ranking)
);
create index project_metric_weekly_group on project_weekly_metric (group_id);

-- 
--  Table structure for table 'session'
-- 

create table session (
  user_id integer DEFAULT '0' NOT NULL,
  session_hash char(32) DEFAULT '' NOT NULL,
  ip_addr char(15) DEFAULT '' NOT NULL,
  time integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (session_hash)
);
create index session_user_id on session (user_id);
create index session_time on session (time);

-- 
--  Table structure for table 'snippet'
-- 

create table snippet (
  snippet_id serial NOT NULL,
  created_by integer DEFAULT '0' NOT NULL,
  name text,
  description text,
  type integer DEFAULT '0' NOT NULL,
  language integer DEFAULT '0' NOT NULL,
  license text DEFAULT '' NOT NULL,
  category integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (snippet_id)
);
create index snippet_language on snippet (language);
create index snippet_category on snippet (category);

-- 
--  Table structure for table 'snippet_package'
-- 

-- serial identifier snippet_package_snippet_package_id_seq will likely be truncated
create table snippet_package (
  snippet_package_id serial NOT NULL,
  created_by integer DEFAULT '0' NOT NULL,
  name text,
  description text,
  category integer DEFAULT '0' NOT NULL,
  language integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (snippet_package_id)
);
create index snippet_package_language on snippet_package (language);
create index snippet_package_category on snippet_package (category);

-- 
--  Table structure for table 'snippet_package_item'
-- 

CREATE SEQUENCE "snip_pkg_item_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

-- serial identifier snippet_package_item_snippet_package_item_id_seq will likely be truncated
create table snippet_package_item (
-----
-----
-----	ERROR - Relation 'snippet_packa_snippet_packa_seq' already exists
-----
-----

  snippet_package_item_id integer DEFAULT nextval('"snip_pkg_item_seq"'::text) NOT NULL,
  snippet_package_version_id integer DEFAULT '0' NOT NULL,
  snippet_version_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (snippet_package_item_id)
);
create index snippet_package_item_pkg_ver on snippet_package_item (snippet_package_version_id);

-- 
--  Table structure for table 'snippet_package_version'
-- 

CREATE SEQUENCE "snip_pkg_ver_id_seq" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

-- serial identifier snippet_package_version_snippet_package_version_id_seq will likely be truncated
create table snippet_package_version (
-----
-----
-----   ERROR - Relation 'snippet_packa_snippet_packa_seq' already exists
-----
-----
  snippet_package_version_id integer DEFAULT nextval('"snip_pkg_ver_id_seq"'::text) NOT NULL,
  snippet_package_id integer DEFAULT '0' NOT NULL,
  changes text,
  version text,
  submitted_by integer DEFAULT '0' NOT NULL,
  date integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (snippet_package_version_id)
);
create index snippet_package_version_pkg_id on snippet_package_version (snippet_package_id);

-- 
--  Table structure for table 'snippet_version'
-- 

-- serial identifier snippet_version_snippet_version_id_seq will likely be truncated
create table snippet_version (
  snippet_version_id serial NOT NULL,
  snippet_id integer DEFAULT '0' NOT NULL,
  changes text,
  version text,
  submitted_by integer DEFAULT '0' NOT NULL,
  date integer DEFAULT '0' NOT NULL,
  code text,
  PRIMARY KEY (snippet_version_id)
);
create index snippet_version_snippet_id on snippet_version (snippet_id);

-- 
--  Table structure for table 'stats_agg_logo_by_day'
-- 

create table stats_agg_logo_by_day (
  day integer,
  count integer
);

-- 
--  Table structure for table 'stats_agg_logo_by_group'
-- 

create table stats_agg_logo_by_group (
  day integer,
  group_id integer,
  count integer
);

-- 
--  Table structure for table 'stats_agg_pages_by_browser'
-- 

create table stats_agg_pages_by_browser (
  browser varchar(8),
  count integer
);

-- 
--  Table structure for table 'stats_agg_pages_by_day'
-- 

create table stats_agg_pages_by_day (
  day integer DEFAULT '0' NOT NULL,
  count integer DEFAULT '0' NOT NULL
);
create index pages_by_day_day on stats_agg_pages_by_day (day);

-- 
--  Table structure for table 'stats_agg_pages_by_day_old'
-- 

create table stats_agg_pages_by_day_old (
  day integer,
  count integer
);

-- 
--  Table structure for table 'stats_agg_site_by_day'
-- 

create table stats_agg_site_by_day (
  day integer DEFAULT '0' NOT NULL,
  count integer DEFAULT '0' NOT NULL
);

-- 
--  Table structure for table 'stats_agg_site_by_group'
-- 

create table stats_agg_site_by_group (
  day integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  count integer DEFAULT '0' NOT NULL
);

-- 
--  Table structure for table 'stats_agr_filerelease'
-- 

-- stats_agr_tmp_fid already exists; use stats_agr_filerelease_filerelease_id instead
-- stats_agr_tmp_gid already exists; use stats_agr_filerelease_group_id instead
create table stats_agr_filerelease (
  filerelease_id integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index stats_agr_filerelease_group_id on stats_agr_filerelease (group_id);
create index stats_agr_filerelease_filerelease_id on stats_agr_filerelease (filerelease_id);

-- 
--  Table structure for table 'stats_agr_project'
-- 

create table stats_agr_project (
  group_id integer DEFAULT '0' NOT NULL,
  group_ranking integer DEFAULT '0' NOT NULL,
  group_metric float(8) DEFAULT '0.00000' NOT NULL,
  developers integer DEFAULT '0' NOT NULL,
  file_releases integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL,
  site_views integer DEFAULT '0' NOT NULL,
  logo_views integer DEFAULT '0' NOT NULL,
  msg_posted integer DEFAULT '0' NOT NULL,
  msg_uniq_auth integer DEFAULT '0' NOT NULL,
  bugs_opened integer DEFAULT '0' NOT NULL,
  bugs_closed integer DEFAULT '0' NOT NULL,
  support_opened integer DEFAULT '0' NOT NULL,
  support_closed integer DEFAULT '0' NOT NULL,
  patches_opened integer DEFAULT '0' NOT NULL,
  patches_closed integer DEFAULT '0' NOT NULL,
  tasks_opened integer DEFAULT '0' NOT NULL,
  tasks_closed integer DEFAULT '0' NOT NULL,
  help_requests integer DEFAULT '0' NOT NULL,
  cvs_checkouts integer DEFAULT '0' NOT NULL,
  cvs_commits integer DEFAULT '0' NOT NULL,
  cvs_adds integer DEFAULT '0' NOT NULL
);
create index project_agr_log_group on stats_agr_project (group_id);

-- 
--  Table structure for table 'stats_ftp_downloads'
-- 

create table stats_ftp_downloads (
  day integer DEFAULT '0' NOT NULL,
  filerelease_id integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index ftpdl_group_id on stats_ftp_downloads (group_id);
create index ftpdl_fid on stats_ftp_downloads (filerelease_id);
create index ftpdl_day on stats_ftp_downloads (day);

-- 
--  Table structure for table 'stats_http_downloads'
-- 

create table stats_http_downloads (
  day integer DEFAULT '0' NOT NULL,
  filerelease_id integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL
);
create index httpdl_group_id on stats_http_downloads (group_id);
create index httpdl_fid on stats_http_downloads (filerelease_id);
create index httpdl_day on stats_http_downloads (day);

-- 
--  Table structure for table 'stats_project'
-- 

create table stats_project (
  month integer DEFAULT '0' NOT NULL,
  week integer DEFAULT '0' NOT NULL,
  day integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  group_ranking integer DEFAULT '0' NOT NULL,
  group_metric float(8) DEFAULT '0.00000' NOT NULL,
  developers integer DEFAULT '0' NOT NULL,
  file_releases integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL,
  site_views integer DEFAULT '0' NOT NULL,
  subdomain_views integer DEFAULT '0' NOT NULL,
  msg_posted integer DEFAULT '0' NOT NULL,
  msg_uniq_auth integer DEFAULT '0' NOT NULL,
  bugs_opened integer DEFAULT '0' NOT NULL,
  bugs_closed integer DEFAULT '0' NOT NULL,
  support_opened integer DEFAULT '0' NOT NULL,
  support_closed integer DEFAULT '0' NOT NULL,
  patches_opened integer DEFAULT '0' NOT NULL,
  patches_closed integer DEFAULT '0' NOT NULL,
  tasks_opened integer DEFAULT '0' NOT NULL,
  tasks_closed integer DEFAULT '0' NOT NULL,
  help_requests integer DEFAULT '0' NOT NULL,
  cvs_checkouts integer DEFAULT '0' NOT NULL,
  cvs_commits integer DEFAULT '0' NOT NULL,
  cvs_adds integer DEFAULT '0' NOT NULL
);
create index archive_project_monthday on stats_project (month,day);
create index project_log_group on stats_project (group_id);
create index archive_project_week on stats_project (week);
create index archive_project_day on stats_project (day);
create index archive_project_month on stats_project (month);

-- 
--  Table structure for table 'stats_project_tmp'
-- 

-- project_log_group already exists; use stats_project_tmp_group_id instead
create table stats_project_tmp (
  month integer DEFAULT '0' NOT NULL,
  week integer DEFAULT '0' NOT NULL,
  day integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  group_ranking integer DEFAULT '0' NOT NULL,
  group_metric float(8) DEFAULT '0.00000' NOT NULL,
  developers integer DEFAULT '0' NOT NULL,
  file_releases integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL,
  site_views integer DEFAULT '0' NOT NULL,
  subdomain_views integer DEFAULT '0' NOT NULL,
  msg_posted integer DEFAULT '0' NOT NULL,
  msg_uniq_auth integer DEFAULT '0' NOT NULL,
  bugs_opened integer DEFAULT '0' NOT NULL,
  bugs_closed integer DEFAULT '0' NOT NULL,
  support_opened integer DEFAULT '0' NOT NULL,
  support_closed integer DEFAULT '0' NOT NULL,
  patches_opened integer DEFAULT '0' NOT NULL,
  patches_closed integer DEFAULT '0' NOT NULL,
  tasks_opened integer DEFAULT '0' NOT NULL,
  tasks_closed integer DEFAULT '0' NOT NULL,
  help_requests integer DEFAULT '0' NOT NULL,
  cvs_checkouts integer DEFAULT '0' NOT NULL,
  cvs_commits integer DEFAULT '0' NOT NULL,
  cvs_adds integer DEFAULT '0' NOT NULL
);
create index stats_project_tmp_group_id on stats_project_tmp (group_id);
create index project_stats_week on stats_project_tmp (week);
create index project_stats_month on stats_project_tmp (month);
create index project_stats_day on stats_project_tmp (day);

-- 
--  Table structure for table 'stats_site'
-- 

create table stats_site (
  month integer DEFAULT '0' NOT NULL,
  week integer DEFAULT '0' NOT NULL,
  day integer DEFAULT '0' NOT NULL,
  site_views integer DEFAULT '0' NOT NULL,
  subdomain_views integer DEFAULT '0' NOT NULL,
  downloads integer DEFAULT '0' NOT NULL,
  uniq_users integer DEFAULT '0' NOT NULL,
  sessions integer DEFAULT '0' NOT NULL,
  total_users integer DEFAULT '0' NOT NULL,
  new_users integer DEFAULT '0' NOT NULL,
  new_projects integer DEFAULT '0' NOT NULL
);
create index stats_site_monthday on stats_site (month,day);
create index stats_site_week on stats_site (week);
create index stats_site_day on stats_site (day);
create index stats_site_month on stats_site (month);

-- 
--  Table structure for table 'support'
-- 

create table support (
  support_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  support_status_id integer DEFAULT '0' NOT NULL,
  support_category_id integer DEFAULT '0' NOT NULL,
  priority integer DEFAULT '0' NOT NULL,
  submitted_by integer DEFAULT '0' NOT NULL,
  assigned_to integer DEFAULT '0' NOT NULL,
  open_date integer DEFAULT '0' NOT NULL,
  summary text,
  close_date integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (support_id)
);
create index support_group_id on support (group_id);

-- 
--  Table structure for table 'support_canned_responses'
-- 

-- serial identifier support_canned_responses_support_canned_id_seq will likely be truncated
create table support_canned_responses (
  support_canned_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  title text,
  body text,
  PRIMARY KEY (support_canned_id)
);
create index support_canned_response_group_id on support_canned_responses (group_id);

-- 
--  Table structure for table 'support_category'
-- 

-- serial identifier support_category_support_category_id_seq will likely be truncated
create table support_category (
  support_category_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  category_name text DEFAULT '' NOT NULL,
  PRIMARY KEY (support_category_id)
);
create index support_group_group_id on support_category (group_id);

-- 
--  Table structure for table 'support_history'
-- 

-- serial identifier support_history_support_history_id_seq will likely be truncated
create table support_history (
  support_history_id serial NOT NULL,
  support_id integer DEFAULT '0' NOT NULL,
  field_name text DEFAULT '' NOT NULL,
  old_value text DEFAULT '' NOT NULL,
  mod_by integer DEFAULT '0' NOT NULL,
  date integer,
  PRIMARY KEY (support_history_id)
);
create index support_history_support_id on support_history (support_id);

-- 
--  Table structure for table 'support_messages'
-- 

-- serial identifier support_messages_support_message_id_seq will likely be truncated
create table support_messages (
  support_message_id serial NOT NULL,
  support_id integer DEFAULT '0' NOT NULL,
  from_email text,
  date integer DEFAULT '0' NOT NULL,
  body text,
  PRIMARY KEY (support_message_id)
);
create index support_messages_support_id on support_messages (support_id);

-- 
--  Table structure for table 'support_status'
-- 

-- serial identifier support_status_support_status_id_seq will likely be truncated
create table support_status (
  support_status_id serial NOT NULL,
  status_name text,
  PRIMARY KEY (support_status_id)
);

-- 
--  Table structure for table 'supported_languages'
-- 

-- serial identifier supported_languages_language_id_seq will likely be truncated
create table supported_languages (
  language_id serial NOT NULL,
  name text,
  filename text,
  classname text,
  language_code char(2),
  PRIMARY KEY (language_id)
);
create index supported_languages_code on supported_languages (language_code);

-- 
--  Table structure for table 'survey_question_types'
-- 

create table survey_question_types (
  id serial NOT NULL,
  type text DEFAULT '' NOT NULL,
  PRIMARY KEY (id)
);

-- 
--  Table structure for table 'survey_questions'
-- 

-- serial identifier survey_questions_question_id_seq will likely be truncated
create table survey_questions (
  question_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  question text DEFAULT '' NOT NULL,
  question_type integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (question_id)
);
create index survey_questions_group on survey_questions (group_id);

-- 
--  Table structure for table 'survey_rating_aggregate'
-- 

create table survey_rating_aggregate (
  type integer DEFAULT '0' NOT NULL,
  id integer DEFAULT '0' NOT NULL,
  response float DEFAULT '0' NOT NULL,
  count integer DEFAULT '0' NOT NULL
);
create index survey_rating_aggregate_type_id on survey_rating_aggregate (type,id);

-- 
--  Table structure for table 'survey_rating_response'
-- 

create table survey_rating_response (
  user_id integer DEFAULT '0' NOT NULL,
  type integer DEFAULT '0' NOT NULL,
  id integer DEFAULT '0' NOT NULL,
  response integer DEFAULT '0' NOT NULL,
  date integer DEFAULT '0' NOT NULL
);
create index survey_rating_responses_user_type_id on survey_rating_response (user_id,type,id);
create index survey_rating_responses_type_id on survey_rating_response (type,id);

-- 
--  Table structure for table 'survey_responses'
-- 

create table survey_responses (
  user_id integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  survey_id integer DEFAULT '0' NOT NULL,
  question_id integer DEFAULT '0' NOT NULL,
  response text DEFAULT '' NOT NULL,
  date integer DEFAULT '0' NOT NULL
);
create index survey_responses_group_id on survey_responses (group_id);
create index survey_responses_user_survey_question on survey_responses (user_id,survey_id,question_id);
create index survey_responses_user_survey on survey_responses (user_id,survey_id);
create index survey_responses_survey_question on survey_responses (survey_id,question_id);

-- 
--  Table structure for table 'surveys'
-- 

create table surveys (
  survey_id serial NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  survey_title text DEFAULT '' NOT NULL,
  survey_questions text DEFAULT '' NOT NULL,
  is_active integer DEFAULT '1' NOT NULL,
  PRIMARY KEY (survey_id)
);
create index surveys_group on surveys (group_id);

-- 
--  Table structure for table 'theme_prefs'
-- 

create table theme_prefs (
  user_id integer DEFAULT '0' NOT NULL,
  user_theme integer DEFAULT '0' NOT NULL,
  BODY_font char(80) DEFAULT '',
  BODY_size char(5) DEFAULT '',
  TITLEBAR_font char(80) DEFAULT '',
  TITLEBAR_size char(5) DEFAULT '',
  COLOR_TITLEBAR_BACK char(7) DEFAULT '',
  COLOR_LTBACK1 char(7) DEFAULT '',
  PRIMARY KEY (user_id)
);

-- 
--  Table structure for table 'themes'
-- 

create table themes (
  theme_id serial NOT NULL,
  dirname varchar(80),
  fullname varchar(80),
  PRIMARY KEY (theme_id)
);

-- 
--  Table structure for table 'tmp_projs_releases_tmp'
-- 

create table tmp_projs_releases_tmp (
  year integer DEFAULT '0' NOT NULL,
  month integer DEFAULT '0' NOT NULL,
  total_proj integer DEFAULT '0' NOT NULL,
  total_releases integer DEFAULT '0' NOT NULL
);

-- 
--  Table structure for table 'top_group'
-- 

create table top_group (
  group_id integer DEFAULT '0' NOT NULL,
  group_name varchar(40),
  downloads_all integer DEFAULT '0' NOT NULL,
  rank_downloads_all integer DEFAULT '0' NOT NULL,
  rank_downloads_all_old integer DEFAULT '0' NOT NULL,
  downloads_week integer DEFAULT '0' NOT NULL,
  rank_downloads_week integer DEFAULT '0' NOT NULL,
  rank_downloads_week_old integer DEFAULT '0' NOT NULL,
  userrank integer DEFAULT '0' NOT NULL,
  rank_userrank integer DEFAULT '0' NOT NULL,
  rank_userrank_old integer DEFAULT '0' NOT NULL,
  forumposts_week integer DEFAULT '0' NOT NULL,
  rank_forumposts_week integer DEFAULT '0' NOT NULL,
  rank_forumposts_week_old integer DEFAULT '0' NOT NULL,
  pageviews_proj integer DEFAULT '0' NOT NULL,
  rank_pageviews_proj integer DEFAULT '0' NOT NULL,
  rank_pageviews_proj_old integer DEFAULT '0' NOT NULL
);
create index rank_forumposts_week_idx on top_group (rank_forumposts_week);
create index rank_downloads_week_idx on top_group (rank_downloads_week);
create index pageviews_proj_idx on top_group (pageviews_proj);
create index rank_userrank_idx on top_group (rank_userrank);
create index rank_downloads_all_idx on top_group (rank_downloads_all);

-- 
--  Table structure for table 'trove_cat'
-- 

create table trove_cat (
  trove_cat_id serial NOT NULL,
  version integer DEFAULT '0' NOT NULL,
  parent integer DEFAULT '0' NOT NULL,
  root_parent integer DEFAULT '0' NOT NULL,
  shortname varchar(80),
  fullname varchar(80),
  description varchar(255),
  count_subcat integer DEFAULT '0' NOT NULL,
  count_subproj integer DEFAULT '0' NOT NULL,
  fullpath text DEFAULT '' NOT NULL,
  fullpath_ids text,
  PRIMARY KEY (trove_cat_id)
);
create index parent_idx on trove_cat (parent);
create index root_parent_idx on trove_cat (root_parent);
create index version_idx on trove_cat (version);

-- 
--  Table structure for table 'trove_group_link'
-- 

-- serial identifier trove_group_link_trove_group_id_seq will likely be truncated
create table trove_group_link (
  trove_group_id serial NOT NULL,
  trove_cat_id integer DEFAULT '0' NOT NULL,
  trove_cat_version integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  trove_cat_root integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (trove_group_id)
);
create index trove_group_link_group_id on trove_group_link (group_id);
create index trove_group_link_cat_id on trove_group_link (trove_cat_id);

-- 
--  Table structure for table 'trove_treesums'
-- 

-- serial identifier trove_treesums_trove_treesums_id_seq will likely be truncated
create table trove_treesums (
  trove_treesums_id serial NOT NULL,
  trove_cat_id integer DEFAULT '0' NOT NULL,
  limit_1 integer DEFAULT '0' NOT NULL,
  subprojects integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (trove_treesums_id)
);

--
--  Table structure for table 'unix_uids'
-- 

create table unix_uids (
  id serial NOT NULL,
  PRIMARY KEY (id)
);

-- 
--  Table structure for table 'user_bookmarks'
-- 

create table user_bookmarks (
  bookmark_id serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  bookmark_url text,
  bookmark_title text,
  PRIMARY KEY (bookmark_id)
);
create index user_bookmark_user_id on user_bookmarks (user_id);

-- 
--  Table structure for table 'user_diary'
-- 

create table user_diary (
  id serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  date_posted integer DEFAULT '0' NOT NULL,
  summary text,
  details text,
  is_public integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (id)
);
create index user_diary_user on user_diary (user_id);
create index user_diary_user_date on user_diary (user_id,date_posted);
create index user_diary_date on user_diary (date_posted);

-- 
--  Table structure for table 'user_diary_monitor'
-- 

-- serial identifier user_diary_monitor_monitor_id_seq will likely be truncated
create table user_diary_monitor (
  monitor_id serial NOT NULL,
  monitored_user integer DEFAULT '0' NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (monitor_id)
);
create index user_diary_monitor_user on user_diary_monitor (user_id);
create index user_diary_monitor_monitored_user on user_diary_monitor (monitored_user);

-- 
--  Table structure for table 'user_group'
-- 

create table user_group (
  user_group_id serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  group_id integer DEFAULT '0' NOT NULL,
  admin_flags char(16) DEFAULT '' NOT NULL,
  bug_flags integer DEFAULT '0' NOT NULL,
  forum_flags integer DEFAULT '0' NOT NULL,
  project_flags integer DEFAULT '2' NOT NULL,
  patch_flags integer DEFAULT '1' NOT NULL,
  support_flags integer DEFAULT '1' NOT NULL,
  doc_flags integer DEFAULT '0' NOT NULL,
  PRIMARY KEY (user_group_id)
);
create index user_group_group_id on user_group (group_id);
create index bug_flags_idx on user_group (bug_flags);
create index project_flags_idx on user_group (project_flags);
create index user_group_user_id on user_group (user_id);
create index admin_flags_idx on user_group (admin_flags);
create index forum_flags_idx on user_group (forum_flags);

-- 
--  Table structure for table 'user_metric'
-- 

create table user_metric (
  ranking serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  times_ranked integer DEFAULT '0' NOT NULL,
  avg_raters_importance float(10) DEFAULT '0.00000000' NOT NULL,
  avg_rating float(10) DEFAULT '0.00000000' NOT NULL,
  metric float(10) DEFAULT '0.00000000' NOT NULL,
  percentile float(10) DEFAULT '0.00000000' NOT NULL,
  importance_factor float(10) DEFAULT '0.00000000' NOT NULL,
  PRIMARY KEY (ranking)
);

-- 
--  Table structure for table 'user_metric0'
-- 

create table user_metric0 (
  ranking serial NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  times_ranked integer DEFAULT '0' NOT NULL,
  avg_raters_importance float(10) DEFAULT '0.00000000' NOT NULL,
  avg_rating float(10) DEFAULT '0.00000000' NOT NULL,
  metric float(10) DEFAULT '0.00000000' NOT NULL,
  percentile float(10) DEFAULT '0.00000000' NOT NULL,
  importance_factor float(10) DEFAULT '0.00000000' NOT NULL,
  PRIMARY KEY (ranking)
);
create index user_metric0_user_id on user_metric0 (user_id);

-- 
--  Table structure for table 'user_preferences'
-- 

create table user_preferences (
  user_id integer DEFAULT '0' NOT NULL,
  preference_name varchar(20),
  preference_value varchar(20),
  set_date integer DEFAULT '0' NOT NULL
);
create index user_pref_user_id on user_preferences (user_id);

-- 
--  Table structure for table 'user_ratings'
-- 

create table user_ratings (
  rated_by integer DEFAULT '0' NOT NULL,
  user_id integer DEFAULT '0' NOT NULL,
  rate_field integer DEFAULT '0' NOT NULL,
  rating integer DEFAULT '0' NOT NULL
);
create index user_ratings_rated_by on user_ratings (rated_by);
create index user_ratings_user_id on user_ratings (user_id);

-- 
--  Table structure for table 'users'
-- 

create table users (
  user_id serial NOT NULL,
  user_name text DEFAULT '' NOT NULL,
  email text DEFAULT '' NOT NULL,
  user_pw varchar(32) DEFAULT '' NOT NULL,
  realname varchar(32) DEFAULT '' NOT NULL,
  status char(1) DEFAULT 'A' NOT NULL,
  shell varchar(20) DEFAULT '/bin/bash' NOT NULL,
  unix_pw varchar(40) DEFAULT '' NOT NULL,
  unix_status char(1) DEFAULT 'N' NOT NULL,
  unix_uid integer DEFAULT '0' NOT NULL,
  unix_box varchar(10) DEFAULT 'shell1' NOT NULL,
  add_date integer DEFAULT '0' NOT NULL,
  confirm_hash varchar(32),
  mail_siteupdates integer DEFAULT '0' NOT NULL,
  mail_va integer DEFAULT '0' NOT NULL,
  authorized_keys text,
  email_new text,
  people_view_skills integer DEFAULT '0' NOT NULL,
  people_resume text DEFAULT '' NOT NULL,
  timezone varchar(64) DEFAULT 'GMT',
  language integer DEFAULT '1' NOT NULL,
  PRIMARY KEY (user_id)
);
create index user_user on users (status);

